// Copyright (c) 2001-2002 TiVo Inc.
//
// Authors: Andy Goodman 

#ifndef __LINKQ_H__
#define __LINKQ_H__

#define U32 unsigned int 
#define U16  unsigned short 
#define U8  unsigned char
#define bool int
#define TRUE 1
#define FALSE 0

typedef struct _LinkqT LinkqT;
typedef struct _LinkItemT LinkItemT;

struct _LinkqT {
  LinkItemT *ins,*del;
};

struct _LinkItemT {
  LinkItemT *next;
};


extern void LinkqInit(LinkqT *me);
extern void LinkqInsert(LinkqT *me,LinkItemT *item);
extern LinkItemT * LinkqRemove(LinkqT *me);     
extern bool LinkqIsEmpty(LinkqT *me);
#endif
